<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:18 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BackgroundRenderer</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BackgroundRenderer";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/rendering/BackgroundRenderer.html" target="_top">Frames</a></li>
<li><a href="BackgroundRenderer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar.rendering</div>
<h2 title="Class BackgroundRenderer" class="title">Class BackgroundRenderer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.rendering.BackgroundRenderer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BackgroundRenderer</span>
extends java.lang.Object</pre>
<div class="block">Визуализатор видеопотока.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#COORDS_PER_VERTEX">COORDS_PER_VERTEX</a></span></code>
<div class="block">Количество координат на каждую вершину.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#FLOAT_SIZE">FLOAT_SIZE</a></span></code>
<div class="block">Размер типа float в байтах.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.nio.FloatBuffer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mQuadCoords">mQuadCoords</a></span></code>
<div class="block">Буфер координат вершин.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mQuadPositionParam">mQuadPositionParam</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mQuadProgram">mQuadProgram</a></span></code>
<div class="block">Объект шейдерой программы.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mQuadTexCoordParam">mQuadTexCoordParam</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.nio.FloatBuffer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mQuadTexCoords">mQuadTexCoords</a></span></code>
<div class="block">Буфер координат текстуры.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mTextureId">mTextureId</a></span></code>
<div class="block">Идентификатор текстуры.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#QUAD_COORDS">QUAD_COORDS</a></span></code>
<div class="block">Координаты квадрата, на который будет накладываться изображение.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#TAG">TAG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#TEXCOORDS_PER_VERTEX">TEXCOORDS_PER_VERTEX</a></span></code>
<div class="block">Количество координат текстуры на каждую вершину.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#BackgroundRenderer--">BackgroundRenderer</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#createOnGlThread-android.content.Context-">createOnGlThread</a></span>(android.content.Context&nbsp;context)</code>
<div class="block">Выделяет и инициализирует ресурсы OpenGL, необходимые для визуализатора видеопотока.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#draw--">draw</a></span>()</code>
<div class="block">Рисует кадр видеопотока c конфигурированными ранее координатами
 текстуры изоброжения <a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mQuadTexCoords"><code>mQuadTexCoords</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#draw-com.google.ar.core.Frame-">draw</a></span>(com.google.ar.core.Frame&nbsp;frame)</code>
<div class="block">Рисует кадр видеопотока.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#getTextureId--">getTextureId</a></span>()</code>
<div class="block">Возвращает идентификатор текстуры.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TAG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TAG</h4>
<pre>private static final&nbsp;java.lang.String TAG</pre>
</li>
</ul>
<a name="COORDS_PER_VERTEX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COORDS_PER_VERTEX</h4>
<pre>private static final&nbsp;int COORDS_PER_VERTEX</pre>
<div class="block">Количество координат на каждую вершину.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.BackgroundRenderer.COORDS_PER_VERTEX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TEXCOORDS_PER_VERTEX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXCOORDS_PER_VERTEX</h4>
<pre>private static final&nbsp;int TEXCOORDS_PER_VERTEX</pre>
<div class="block">Количество координат текстуры на каждую вершину.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.BackgroundRenderer.TEXCOORDS_PER_VERTEX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FLOAT_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOAT_SIZE</h4>
<pre>private static final&nbsp;int FLOAT_SIZE</pre>
<div class="block">Размер типа float в байтах.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.BackgroundRenderer.FLOAT_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="mQuadCoords">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mQuadCoords</h4>
<pre>private&nbsp;java.nio.FloatBuffer mQuadCoords</pre>
<div class="block">Буфер координат вершин.</div>
</li>
</ul>
<a name="mQuadTexCoords">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mQuadTexCoords</h4>
<pre>private&nbsp;java.nio.FloatBuffer mQuadTexCoords</pre>
<div class="block">Буфер координат текстуры.</div>
</li>
</ul>
<a name="mQuadProgram">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mQuadProgram</h4>
<pre>private&nbsp;int mQuadProgram</pre>
<div class="block">Объект шейдерой программы.</div>
</li>
</ul>
<a name="mQuadPositionParam">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mQuadPositionParam</h4>
<pre>private&nbsp;int mQuadPositionParam</pre>
</li>
</ul>
<a name="mQuadTexCoordParam">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mQuadTexCoordParam</h4>
<pre>private&nbsp;int mQuadTexCoordParam</pre>
</li>
</ul>
<a name="mTextureId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mTextureId</h4>
<pre>private&nbsp;int mTextureId</pre>
<div class="block">Идентификатор текстуры.</div>
</li>
</ul>
<a name="QUAD_COORDS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>QUAD_COORDS</h4>
<pre>private static final&nbsp;float[] QUAD_COORDS</pre>
<div class="block">Координаты квадрата, на который будет накладываться изображение.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BackgroundRenderer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BackgroundRenderer</h4>
<pre>public&nbsp;BackgroundRenderer()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTextureId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextureId</h4>
<pre>public&nbsp;int&nbsp;getTextureId()</pre>
<div class="block">Возвращает идентификатор текстуры.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Идентификатор текстуры.</dd>
</dl>
</li>
</ul>
<a name="createOnGlThread-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOnGlThread</h4>
<pre>public&nbsp;void&nbsp;createOnGlThread(android.content.Context&nbsp;context)
                      throws java.io.IOException</pre>
<div class="block">Выделяет и инициализирует ресурсы OpenGL, необходимые для визуализатора видеопотока.
 Должен быть вызван в потоке GL, а именно в
 <code>GLSurfaceView.Renderer#onSurfaceCreated(GL10, EGLConfig)</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - Нужен для доступа к шейдеру.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - Исключение ввода/вывода.</dd>
</dl>
</li>
</ul>
<a name="draw-com.google.ar.core.Frame-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>draw</h4>
<pre>public&nbsp;void&nbsp;draw(@NonNull
                 com.google.ar.core.Frame&nbsp;frame)</pre>
<div class="block">Рисует кадр видеопотока. Необходимо вызвать до отрисовки виртуальных объектов.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>frame</code> - Последний <code>Frame</code> возвращенный <code>Session.update()</code>.</dd>
</dl>
</li>
</ul>
<a name="draw--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>draw</h4>
<pre>private&nbsp;void&nbsp;draw()</pre>
<div class="block">Рисует кадр видеопотока c конфигурированными ранее координатами
 текстуры изоброжения <a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html#mQuadTexCoords"><code>mQuadTexCoords</code></a>.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/rendering/BackgroundRenderer.html" target="_top">Frames</a></li>
<li><a href="BackgroundRenderer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
